@echo off
setlocal EnableDelayedExpansion

rem Method to use many tokens in a FOR /F command in a simple way
rem Antonio Perez Ayala


rem Create an example file with lines with 208 tokens each
(for %%a in (A B C) do (
   set "line="
   for /L %%i in (1,1,208) do set "line=!line! %%a%%i"
   echo !line!
)) > test.txt
set "line="


rem Load the string of characters used for tokens from FOR-Fchars.txt file
if exist FOR-Fchars.txt goto readChars
echo Creating characters file, please wait
set "options=/d compress=off /d reserveperdatablocksize=26"
type nul > t.tmp
(
set /P "=0" < NUL

rem Create 87 characters in 38..124 range for 3 FOR's with "tokens=1-28*"
set "i=0"
for /L %%i in (38,1,124) do (
   set /A i+=1, mod=i%%29
   if !mod! neq 0 (
      call :genchr %%i
      type %%i.chr
      del %%i.chr
   )
)

rem Create 127 characters in 128..254 range for 3 FOR's with "tokens=1-31*" plus one more with "tokens=1-31"
set "i=0"
for /L %%i in (128,1,254) do (
   set /A i+=1, mod=i%%32
   if !mod! neq 0 (
      call :genchr %%i
      type %%i.chr
      del %%i.chr
   )
)
) > FOR-Fchars.txt
del t.tmp temp.tmp
set "options="
:readChars
set /P "char=" < FOR-Fchars.txt
set "lastToken=208"


cls
:nextSet
echo/
set /P "tokens=tokens="
if errorlevel 1 goto :EOF

rem Expand the given tokens string into a series of individual FOR tokens values 
set "tokensValues="
for %%t in (%tokens%) do (
   for /F "tokens=1,2 delims=-" %%i in ("%%t") do (
      if "%%j" equ "" (
         if %%i leq %lastToken% set "tokensValues=!tokensValues! %%!char:~%%i,1!"
      ) else if %%i lss %%j (
         for /L %%n in (%%i,1,%%j) do if %%n leq %lastToken% set "tokensValues=!tokensValues! %%!char:~%%n,1!"
      ) else (
         for /L %%n in (%%i,-1,%%j) do if %%n leq %lastToken% set "tokensValues=!tokensValues! %%!char:~%%n,1!"
      )
   )
)

rem First three FOR's use as tokens the ASCII chars in 38..124 (&..|) range: 28*3 = 84 tokens + 3 tokens for next FOR
rem Next four FOR's use as tokens the Extended chars in 128..254 range: 31*4 = 124 tokens + 3 tokens for next FOR
rem Total: 208 tokens

for /F "eol= tokens=1-28*" %%^& in (test.txt) do ^
for /F "eol= tokens=1-28*" %%C in ("%%B") do ^
for /F "eol= tokens=1-28*" %%` in ("%%_") do ^
for /F "eol= tokens=1-31*" %% in ("%%|") do ^
for /F "eol= tokens=1-31*" %% in ("%%") do ^
for /F "eol= tokens=1-31*" %% in ("%%") do ^
for /F "eol= tokens=1-31"  %% in ("%%") do (
   call :getTokens result=
   rem Process here the "result" string
   echo !result!
)
goto nextSet


:getTokens result
for %%# in (-) do set "%1=%tokensValues%"
exit /B


REM This code creates one single byte. Parameter: int
REM Teamwork of carlos, penpen, aGerman, dbenham
REM Tested under Win2000, XP, Win7, Win8
:genchr
if %~1 neq 26 (
   makecab %options% /d reserveperfoldersize=%~1 t.tmp %~1.chr > nul
   type %~1.chr | ( (for /l %%N in (1,1,38) do pause)>nul & findstr "^" > temp.tmp )
   >nul copy /y temp.tmp /a %~1.chr /b
) else (
   copy /y nul + nul /a 26.chr /a >nul
)
goto :eof

